Bug 13339 - Cart button doesn't open the cart
Summary: Cart button doesn't open the cart
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-26 03:52 UTC by Liz Rea
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13339 - Cart button doesn't open the cart (2.14 KB, patch)
2015-01-22 19:32 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed-off] Bug 13339 - Cart button doesn't open the cart (2.29 KB, patch)
2015-01-30 15:38 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13339 - Cart button doesn't open the cart (2.37 KB, patch)
2015-02-01 21:33 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2014-11-26 03:52:31 UTC
It's been pointed out as a bit confusing that clicking the cart button doesn't open the cart - you have to click the words "Items in your cart" to open the cart. 

That would be ok, except the styling of the words doesn't indicate that it is a link.

I think we can provide a better UX here.
Comment 1 Owen Leonard 2015-01-22 19:32:13 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-01-30 15:38:04 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-02-01 21:33:47 UTC
Created attachment 35649 [details] [review]
[PASSED QA] Bug 13339 - Cart button doesn't open the cart

The link to open the cart no longer triggers the cart popup. Instead, in
order to make it more usable with mobile devices, it triggers a menu
which displays the count of items in the cart -- something which
previously was done with a hover action (something touch-screen devices
don't have). Clicking/tapping this menu item is what opens the cart
window.

Since the cart link is really now a menu trigger rather than just a
link, it seems logical to add the small arrow which the lists link
has indicating that the link triggers a menu.

To test, apply the patch and view any page in a Cart-enabled OPAC.
Confirm that the "caret" icon displays correctly when the cart is both
empty and when it has contents.

Followed test plan. Icon displays as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described, good idea.
Comment 4 Tomás Cohen Arazi 2015-02-05 17:58:48 UTC
Patch pushed to master.

Thanks Owen!
Comment 5 Chris Cormack 2015-02-09 20:48:11 UTC
Pushed to 3.18.x will be in 3.18.4
Comment 6 Mason James 2015-02-26 03:07:15 UTC
(In reply to Chris Cormack from comment #5)
> Pushed to 3.18.x will be in 3.18.4

Pushed to 3.16.x, will be in 3.16.8
Comment 7 Liz Rea 2015-04-22 21:12:41 UTC
Thanks, this is an improvement. :)